Index: trunk/ab5.0/abdev/abdev/WindowControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 623)
+++ trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 624)
@@ -1906,21 +1904,22 @@
 				if(temp2[0]=='\"'&&temp2[lstrlen(temp2)-1]=='\"'){
 					temp2[lstrlen(temp2)-1]=0;
-					projectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,i2+1);
-					lstrcpy(projectInfo.windowInfos.back()->caption,temp2+1);
+					projectInfo.windowInfos.back()->SetCaption( temp2+1 );
 				}
 			}
-			else if(lstrcmpi(temporary,"STYLE")==0&&i3==1) projectInfo.windowInfos.back()->style=GetValue(temp2);
-			else if(lstrcmpi(temporary,"EXSTYLE")==0&&i3==1) projectInfo.windowInfos.back()->ExStyle=GetValue(temp2);
+			else if(lstrcmpi(temporary,"STYLE")==0&&i3==1) projectInfo.windowInfos.back()->SetStyle( GetValue(temp2) );
+			else if(lstrcmpi(temporary,"EXSTYLE")==0&&i3==1) projectInfo.windowInfos.back()->SetExStyle( GetValue(temp2) );
 			else if(lstrcmpi(temporary,"MENUID")==0&&i3==1){
-				projectInfo.windowInfos.back()->MenuID=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(projectInfo.windowInfos.back()->MenuID,temp2);
-			}
-			else if(lstrcmpi(temporary,"ID")==0&&i3==1) projectInfo.windowInfos.back()->id=GetValue(temp2);
+				projectInfo.windowInfos.back()->SetMenuIdName( temp2 );
+			}
+			else if(lstrcmpi(temporary,"ID")==0&&i3==1)
+			{
+				// 無視
+			}
 			else if(lstrcmpi(temporary,"BGCOLOR")==0&&i3==1){
-				projectInfo.windowInfos.back()->bgColor=GetValue(temp2);
+				projectInfo.windowInfos.back()->SetBackgroundColor( GetValue(temp2) );
 				if(projectInfo.dwVersion<=3){
 					//プロジェクトバージョンが3以前のときは新値に変換する
-					if(projectInfo.windowInfos.back()->bgColor==-1)
-						projectInfo.windowInfos.back()->bgColor=-(int)RGB(255,255,255);
+					if(projectInfo.windowInfos.back()->GetBackgroundColor()==-1)
+						projectInfo.windowInfos.back()->SetBackgroundColor( -(int)RGB(255,255,255) );
 				}
 			}
@@ -1970,12 +1969,10 @@
 			}
 			else if(lstrcmpi(temporary,"ICONID")==0&&i3==1){
-				projectInfo.windowInfos.back()->IconResName=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(projectInfo.windowInfos.back()->IconResName,temp2);
+				projectInfo.windowInfos.back()->SetIconResourceName( temp2 );
 			}
 			else if(lstrcmpi(temporary,"CLASS")==0&&i3==1){
 				if(temp2[0]=='\"'&&temp2[lstrlen(temp2)-1]=='\"'){
 					temp2[lstrlen(temp2)-1]=0;
-					projectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,i2+1);
-					lstrcpy(projectInfo.windowInfos.back()->ClassName,temp2+1);
+					projectInfo.windowInfos.back()->SetClassName( temp2+1 );
 				}
 			}
@@ -1994,10 +1991,9 @@
 			}
 			else if(lstrcmpi(temporary,"ITEM")==0&&i3==1){
-				CHILDINFO *pChildInfo = new CHILDINFO();
+				ActiveBasic::PM::ChildWindowInfo *pChildInfo = new ActiveBasic::PM::ChildWindowInfo();
 
 				//ID
 				i5=GetOneParameter(temp2,0,temp3);
-				pChildInfo->IdName=(char *)HeapAlloc(hHeap,0,lstrlen(temp3)+1);
-				lstrcpy(pChildInfo->IdName,temp3);
+				pChildInfo->SetName( temp3 );
 
 				//位置
@@ -2015,14 +2011,13 @@
 				RemoveStringQuotes(temp3);
 				RestoreCaptionSequence(temp3);
-				pChildInfo->caption=(char *)HeapAlloc(hHeap,0,lstrlen(temp3)+1);
-				lstrcpy(pChildInfo->caption,temp3);
+				pChildInfo->SetCaption( temp3 );
 
 				//スタイル
 				i5=GetOneParameter(temp2,i5,temp3);
-				pChildInfo->style=GetValue(temp3);
+				pChildInfo->SetStyle( GetValue(temp3) );
 
 				//拡張スタイル
 				i5=GetOneParameter(temp2,i5,temp3);
-				pChildInfo->ExStyle=GetValue(temp3);
+				pChildInfo->SetExStyle( GetValue(temp3) );
 
 				//クラス
@@ -2033,9 +2028,8 @@
 					//イメージ ボックスの場合
 					i5=GetOneParameter(temp2,i5,temp3);
-					pChildInfo->ImageCtrlInfo.type=GetValue(temp3);
+					pChildInfo->image.type = (ActiveBasic::PM::ImageReferenceType::EnumType)GetValue(temp3);
 					i5=GetOneParameter(temp2,i5,temp3);
 					RemoveStringQuotes(temp3);
-					pChildInfo->ImageCtrlInfo.path=(char *)HeapAlloc(hHeap,0,lstrlen(temp3)+1);
-					lstrcpy(pChildInfo->ImageCtrlInfo.path,temp3);
+					pChildInfo->image.path = temp3;
 				}
 
@@ -2177,5 +2171,5 @@
 		return;
 	}
-	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
+	BOOST_FOREACH( ActiveBasic::PM::WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(lstrcmpi(NewWindow.name,pWindowInfo->GetName().c_str())==0){
@@ -2200,5 +2194,5 @@
 
 	//projectInfo.windowInfos構造体コレクションに追加
-	projectInfo.windowInfos.push_back( new WindowInfo() );
+	projectInfo.windowInfos.push_back( new ActiveBasic::PM::WindowInfo() );
 
 
@@ -2219,6 +2213,5 @@
 
 	//ウィンドウテキスト
-	projectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,lstrlen(NewWindow.name)+1);
-	lstrcpy(projectInfo.windowInfos.back()->caption,NewWindow.name);
+	projectInfo.windowInfos.back()->SetCaption( NewWindow.name );
 
 	//スタイル
@@ -2226,24 +2219,21 @@
 		case WNDTYPE_DEFAULT:
 			//通常ウィンドウ
-			projectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX;
+			projectInfo.windowInfos.back()->SetStyle( WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX );
 			break;
 		case WNDTYPE_MODALDLG:
 		case WNDTYPE_MODELESSDLG:
 			//ダイアログ テンプレート（最大化、最小化ボタンをなくして、細枠にする）
-			projectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU;
+			projectInfo.windowInfos.back()->SetStyle( WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU );
 			break;
 	}
 
 	//拡張スタイル
-	projectInfo.windowInfos.back()->ExStyle=0;
+	projectInfo.windowInfos.back()->SetExStyle( 0 );
 
 	//メニュー
-	projectInfo.windowInfos.back()->MenuID=0;
-
-	//ID
-	projectInfo.windowInfos.back()->id=0;
+	projectInfo.windowInfos.back()->SetMenuIdName( "" );
 
 	//背景色
-	projectInfo.windowInfos.back()->bgColor=COLOR_3DFACE;
+	projectInfo.windowInfos.back()->SetBackgroundColor( COLOR_3DFACE );
 
 	//フォント
@@ -2251,10 +2241,9 @@
 
 	//アイコン
-	projectInfo.windowInfos.back()->IconResName=0;
+	projectInfo.windowInfos.back()->SetIconResourceName( "" );
 
 	//クラス名
 	lstrcpy(temporary,"NORMAL");
-	projectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
-	lstrcpy(projectInfo.windowInfos.back()->ClassName,temporary);
+	projectInfo.windowInfos.back()->SetClassName( temporary );
 
 	//コールバック関数名
@@ -2323,5 +2312,5 @@
 	int i;
 
-	WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
+	ActiveBasic::PM::WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
 	//ウィンドウが開かれている場合は閉じる
@@ -2335,13 +2324,10 @@
 	//ウィンドウ情報のメモリを解放
 	HeapDefaultFree(pWindowInfo->filepath);
-	HeapDefaultFree(pWindowInfo->caption);
-	HeapDefaultFree(pWindowInfo->ClassName);
 	HeapDefaultFree(pWindowInfo->CallBackName);
 
 	//子ウィンドウのメモリを解放
-	for(i=0;i<pWindowInfo->childWindowInfos.size();i++){
-		HeapDefaultFree(pWindowInfo->childWindowInfos[i]->IdName);
-		HeapDefaultFree(pWindowInfo->childWindowInfos[i]->caption);
-		delete pWindowInfo->childWindowInfos[i];
+	BOOST_FOREACH( ActiveBasic::PM::ChildWindowInfo *pChildWindowInfo, pWindowInfo->childWindowInfos )
+	{
+		delete pChildWindowInfo;
 	}
 	pWindowInfo->childWindowInfos.clear();
Index: trunk/ab5.0/abdev/abdev/abdev.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 623)
+++ trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 624)
@@ -256,5 +256,5 @@
 		////////////////
 
-		WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
+		ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
 		if(RadInfo.NowDragging>=FRAME_CHANGEPOS_START&&RadInfo.NowDragging<=FRAME_CHANGEPOS_END){
 			sprintf(temporary,"pos %d, %d",
Index: trunk/ab5.0/abdev/abdev/abdev.h
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.h	(revision 623)
+++ trunk/ab5.0/abdev/abdev/abdev.h	(revision 624)
@@ -71,5 +71,5 @@
 //プロジェクト情報
 NEWPROJECTINFO NewProjectInfo;
-ActiveBasic::IDE::Project projectInfo;
+ActiveBasic::PM::Project projectInfo;
 HWND hProjectView;		//プロジェクト ビュー
 HWND hProjectView_ToolWindow;
Index: trunk/ab5.0/abdev/abdev/include/ProjectManager/ProjectManager.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/ProjectManager/ProjectManager.h	(revision 623)
+++ trunk/ab5.0/abdev/abdev/include/ProjectManager/ProjectManager.h	(revision 624)
@@ -2,5 +2,5 @@
 
 
-namespace ActiveBasic{ namespace IDE{
+namespace ActiveBasic{ namespace PM{
 
 class Project
@@ -83,3 +83,3 @@
 }}
 
-extern ActiveBasic::IDE::Project projectInfo;
+extern ActiveBasic::PM::Project projectInfo;
Index: trunk/ab5.0/abdev/abdev/include/ProjectManager/WindowManager.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/ProjectManager/WindowManager.h	(revision 623)
+++ trunk/ab5.0/abdev/abdev/include/ProjectManager/WindowManager.h	(revision 624)
@@ -2,7 +2,7 @@
 
 
-namespace ActiveBasic{ namespace IDE{
-
-/*
+namespace ActiveBasic{ namespace PM{
+
+
 struct ImageReferenceType
 {
@@ -14,78 +14,160 @@
 };
 
-struct IMAGECTRLINFO
-{
+class ImageControlInfo
+{
+public:
 	ImageReferenceType::EnumType type;
 	std::string path;
-};
-*/
-
-}}
-
-
-//イメージタイプ
-#define IMGTYPE_FILE	0
-#define IMGTYPE_RES		1
-
-struct IMAGECTRLINFO{
-	int type;
-	char *path;
-};
-
-class CHILDINFO
-{
-public:
-	char *IdName;
+
+	bool IsFile() const
+	{
+		return ( type == ImageReferenceType::File );
+	}
+	bool IsResource() const
+	{
+		return ( type == ImageReferenceType::Resource );
+	}
+};
+
+class WindowInfoBase
+{
+public:
+	const std::string &GetName() const
+	{
+		return name;
+	}
+	void SetName( const std::string &name )
+	{
+		this->name = name;
+	}
+
+	const std::string &GetCaption() const
+	{
+		return caption;
+	}
+	void SetCaption( const std::string &caption )
+	{
+		this->caption = caption;
+	}
+
+	DWORD GetStyle() const
+	{
+		return style;
+	}
+	void SetStyle( DWORD style )
+	{
+		this->style = style;
+	}
+	void AddStyle( DWORD style )
+	{
+		this->style |= style;
+	}
+	void AndStyle( DWORD style )
+	{
+		this->style &= style;
+	}
+	void DeleteStyle( DWORD style )
+	{
+		this->style &= ~style;
+	}
+
+	DWORD GetExStyle() const
+	{
+		return exstyle;
+	}
+	void SetExStyle( DWORD exstyle )
+	{
+		this->exstyle = exstyle;
+	}
+	void AddExStyle( DWORD exstyle )
+	{
+		this->exstyle |= exstyle;
+	}
+
+private:
+	std::string name;
+	std::string caption;
+	DWORD style;
+	DWORD exstyle;
+
+public:
 	POINT pos;
 	SIZE size;
-	char *caption;
-	DWORD style;
-	DWORD ExStyle;
+};
+
+class ChildWindowInfo
+	: public WindowInfoBase
+{
+public:
 	int Control;
 
-	IMAGECTRLINFO ImageCtrlInfo;
-};
+	ImageControlInfo image;
+};
+typedef std::vector<ChildWindowInfo *> ChildWindowInfos;
 class WindowInfo
+	: public WindowInfoBase
 {
 public:
 	WindowInfo()
-		: caption( NULL )
-		, MenuID( NULL )
-		, IconResName( NULL )
-		, ClassName( NULL )
+		: WindowInfoBase()
 		, CallBackName( NULL )
 	{
 	}
 
-	void SetName( const std::string &name )
-	{
-		this->name = name;
-	}
-	const std::string &GetName() const
-	{
-		return name;
-	}
-
+	const std::string &GetClassName() const
+	{
+		return className;
+	}
+	void SetClassName( const std::string &className )
+	{
+		this->className = className;
+	}
+
+	const std::string &GetHandleName() const
+	{
+		return handleName;
+	}
 	void SetHandleName( const std::string &handleName )
 	{
 		this->handleName = handleName;
 	}
-	const std::string &GetHandleName() const
-	{
-		return handleName;
+
+	const std::string &GetMenuIdName() const
+	{
+		return menuIdName;
+	}
+	void SetMenuIdName( const std::string &menuIdName )
+	{
+		this->menuIdName = menuIdName;
+	}
+	bool HasMenu() const
+	{
+		return !menuIdName.empty();
+	}
+
+	int GetBackgroundColor() const
+	{
+		return backgroundColor;
+	}
+	void SetBackgroundColor( int backgroundColor )
+	{
+		this->backgroundColor = backgroundColor;
+	}
+
+	const std::string &GetIconResourceName() const
+	{
+		return iconResourceName;
+	}
+	void SetIconResourceName( const std::string &iconResourceName )
+	{
+		this->iconResourceName = iconResourceName;
+	}
+	bool HasIcon() const
+	{
+		return !iconResourceName.empty();
 	}
 
 	//ウィンドウデータ
-	POINT pos;
-	SIZE size;
-	char *caption;
-	DWORD style;
-	DWORD ExStyle;
-	char *MenuID;
-	int id;
-	int bgColor;
 	LOGFONT LogFont;
-	char *IconResName;
-	char *ClassName;
 	char *CallBackName;
 	long type;
@@ -93,5 +175,5 @@
 
 	//子ウィンドウ管理
-	std::vector<CHILDINFO *> childWindowInfos;
+	ChildWindowInfos childWindowInfos;
 
 	//ツリー項目
@@ -99,6 +181,9 @@
 
 private:
-	std::string name;
+	std::string className;
 	std::string handleName;
+	std::string menuIdName;
+	int backgroundColor;
+	std::string iconResourceName;
 };
 
@@ -133,2 +218,5 @@
 	}
 };
+
+
+}}
Index: trunk/ab5.0/abdev/abdev/src/MainFrame.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 623)
+++ trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 624)
@@ -632,5 +632,5 @@
 	}
 	else if(MdiInfo[WndNum].DocType==WNDTYPE_RAD){
-		WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
+		ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
 		int indexOfWndInfo = GetWndInfoNum(MdiInfo[WndNum].path);
 
@@ -811,7 +811,8 @@
 	}
 	else if(MdiInfo[WndNum].DocType==WNDTYPE_RAD){
-		WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
-		for(int i3=0;i3<pWindowInfo->childWindowInfos.size();i3++){
-			MdiInfo[WndNum].MdiRadInfo->SelectingItem[i3]=i3;
+		ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[WndNum].path);
+		for( int i3=0; i3<static_cast<int>(pWindowInfo->childWindowInfos.size()); i3++ )
+		{
+			MdiInfo[WndNum].MdiRadInfo->SelectingItem[i3] = i3;
 		}
 		DrawRadWindow(WndNum,pWindowInfo);
Index: trunk/ab5.0/abdev/abdev/src/ProjectManager/ProjectManager.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/ProjectManager/ProjectManager.cpp	(revision 623)
+++ trunk/ab5.0/abdev/abdev/src/ProjectManager/ProjectManager.cpp	(revision 624)
@@ -1,5 +1,5 @@
 #include "stdafx.h"
 
-using namespace ActiveBasic::IDE;
+using namespace ActiveBasic::PM;
 
 void OpenWorkfile( const std::string &path );
@@ -293,6 +293,7 @@
 		if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
 			if(MdiInfo[WndNum].MdiIconEditInfo->bModify){
-				for(i=0;i<this->resourceManager.iconResources.size();i++){
-					lstrcpy(temporary,this->resourceManager.iconResources[i].filepath.c_str());
+				BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.iconResources )
+				{
+					lstrcpy(temporary,resourceItem.filepath.c_str());
 					lstrcpy( temporary, this->GetWorkDir().GetFullPath( temporary ).c_str() );
 					if(lstrcmpi(MdiInfo[WndNum].path,temporary)==0){
@@ -357,21 +358,30 @@
 		i2=0;
 		i3=101;
-		for(i=0;i<this->resourceManager.cursorResources.size();i++,i3++){
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.cursorResources )
+		{
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				this->resourceManager.cursorResources[i].idName.c_str(),
+				resourceItem.idName.c_str(),
 				i3);
 			i2+=lstrlen(buffer+i2);
-		}
-		for(i=0;i<this->resourceManager.bitmapResources.size();i++,i3++){
+
+			i3++;
+		}
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.bitmapResources )
+		{
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				this->resourceManager.bitmapResources[i].idName.c_str(),
+				resourceItem.idName.c_str(),
 				i3);
 			i2+=lstrlen(buffer+i2);
-		}
-		for(i=0;i<this->resourceManager.iconResources.size();i++,i3++){
+
+			i3++;
+		}
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.iconResources )
+		{
 			sprintf(buffer+i2,"Const %s=%d\r\n",
-				this->resourceManager.iconResources[i].idName.c_str(),
+				resourceItem.idName.c_str(),
 				i3);
 			i2+=lstrlen(buffer+i2);
+
+			i3++;
 		}
 
@@ -380,20 +390,23 @@
 
 		i2=0;
-		for(i=0;i<this->resourceManager.cursorResources.size();i++){
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.cursorResources )
+		{
 			sprintf(buffer+i2,"%s CURSOR \"%s\"\r\n",
-				this->resourceManager.cursorResources[i].idName.c_str(),
-				this->resourceManager.cursorResources[i].filepath.c_str());
-			i2+=lstrlen(buffer+i2);
-		}
-		for(i=0;i<this->resourceManager.bitmapResources.size();i++){
+				resourceItem.idName.c_str(),
+				resourceItem.filepath.c_str());
+			i2+=lstrlen(buffer+i2);
+		}
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.bitmapResources )
+		{
 			sprintf(buffer+i2,"%s BITMAP \"%s\"\r\n",
-				this->resourceManager.bitmapResources[i].idName.c_str(),
-				this->resourceManager.bitmapResources[i].filepath.c_str());
-			i2+=lstrlen(buffer+i2);
-		}
-		for(i=0;i<this->resourceManager.iconResources.size();i++){
+				resourceItem.idName.c_str(),
+				resourceItem.filepath.c_str());
+			i2+=lstrlen(buffer+i2);
+		}
+		BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, resourceManager.iconResources )
+		{
 			sprintf(buffer+i2,"%s ICON \"%s\"\r\n",
-				this->resourceManager.iconResources[i].idName.c_str(),
-				this->resourceManager.iconResources[i].filepath.c_str());
+				resourceItem.idName.c_str(),
+				resourceItem.filepath.c_str());
 			i2+=lstrlen(buffer+i2);
 		}
@@ -521,5 +534,5 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	int i,i2,WndNum;
+	int i,WndNum;
 	HWND hChild,hCloseChild;
 	char temporary[MAX_PATH];
@@ -587,25 +600,13 @@
 
 	//ウィンドウ情報のメモリを解放
-	BOOST_FOREACH( WindowInfo *pWindowInfo, windowInfos )
+	BOOST_FOREACH( ActiveBasic::PM::WindowInfo *pWindowInfo, windowInfos )
 	{
-		HeapDefaultFree(pWindowInfo->caption);
-		HeapDefaultFree(pWindowInfo->ClassName);
 		HeapDefaultFree(pWindowInfo->CallBackName);
 		HeapDefaultFree(pWindowInfo->filepath);
-		if(pWindowInfo->MenuID)
-			HeapDefaultFree(pWindowInfo->MenuID);
-		if(pWindowInfo->IconResName)
-			HeapDefaultFree(pWindowInfo->IconResName);
 
 		//子ウィンドウのメモリを解放
-		for(i2=0;i2<pWindowInfo->childWindowInfos.size();i2++){
-			HeapDefaultFree(pWindowInfo->childWindowInfos[i2]->IdName);
-			HeapDefaultFree(pWindowInfo->childWindowInfos[i2]->caption);
-			if(pWindowInfo->childWindowInfos[i2]->Control==CT_IMAGEBOX){
-				//イメージ ボックスの場合
-				HeapDefaultFree(pWindowInfo->childWindowInfos[i2]->ImageCtrlInfo.path);
-			}
-
-			delete pWindowInfo->childWindowInfos[i2];
+		BOOST_FOREACH( ActiveBasic::PM::ChildWindowInfo *pChildWindowInfo, pWindowInfo->childWindowInfos )
+		{
+			delete pChildWindowInfo;
 		}
 		pWindowInfo->childWindowInfos.clear();
